Announcement Announcement Module
Collapse
No announcement yet.
invalid manifest format exception when deploying war on dm server 2.0.0M* Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • invalid manifest format exception when deploying war on dm server 2.0.0M*

    I have a common war file that I want to deploy on dm server. I succeded deploying this file on dm server 1.0.2.release. But when I try to deploy it on any of the 2.0 Milestones I get the following error:
    Code:
    --------------------------------------------------------------------------------
    |
    | SpringSource dm Server
    |
    --------------------------------------------------------------------------------
    [2009-05-26 08:54:26.687] server-dm-8              .internal.StandardConfigTreeFactory.getConfigPointValidator(158) W Configuration schema 'servletContainer' missing from bundle 'com.springsource.server.servlet.tomcat_2.0.0.D-69 [67]'
    [2009-05-26 08:54:26.687] server-dm-8              .internal.StandardConfigTreeFactory.getConfigPointValidator(158) W Configuration schema 'servletContainer' missing from bundle 'com.springsource.server.servlet.tomcat_2.0.0.D-69 [67]'
    [2009-05-26 08:54:26.687] server-dm-8              springsource.kernel.config.internal.JsonConfigTree.validate(180) W Missing configuration point schema 'servletContainer'
    [2009-05-26 08:54:27.500] server-dm-8              nt.JmxTomcatServletContainerConfigurationExporter.initialize(67) W Unable to register configuration com.springsource.server.servlet.tomcat.management.StandardTomcatServletContainerConfigurationInfo@98bfe6 for management
    [2009-05-26 08:54:28.468] Deployer Recovery                    com.springsource.server.repository.hosted-2.0.0.D-52 I Trace configuration: {*=WARN, com.springsource.*=WARN}
    [2009-05-26 08:54:28.703] server-dm-6              .internal.StandardConfigTreeFactory.getConfigPointValidator(158) W Configuration schema 'hostedRepository' missing from bundle 'com.springsource.server.repository.hosted-2.0.0.D-52-com.springsource.server.repository.hosted.core_2.0.0.D-52 [80]'
    [2009-05-26 08:54:28.703] server-dm-6              .internal.StandardConfigTreeFactory.getConfigPointValidator(158) W Configuration schema 'hosted-repository' missing from bundle 'com.springsource.server.repository.hosted-2.0.0.D-52-com.springsource.server.repository.hosted.core_2.0.0.D-52 [80]'
    [2009-05-26 08:54:28.703] server-dm-6              springsource.kernel.config.internal.JsonConfigTree.validate(180) W Missing configuration point schema 'hosted-repository'
    [2009-05-26 08:54:29.406] Deployer Recovery                       com.springsource.server.servlet.splash-2.0.0.D-69 I Trace configuration: {*=WARN, com.springsource.*=WARN}
    [2009-05-26 08:54:30.031] Deployer Recovery                        com.springsource.server.servlet.admin-2.0.0.D-69 I Trace configuration: {*=WARN, com.springsource.*=WARN}
    [2009-05-26 08:54:30.703] Deployer Recovery               com.springsource.kernel.deployer.core.internal.DeployArea E <SPDE0045E> Artifact at 'C:\Programme\Springsource\springsource-dm-server-2.0.0.M2\bin\..\work\com.springsource.kernel\alfresco.war' not found.
    [2009-05-26 08:54:30.703] Deployer Recovery        ernal.StandardApplicationDeployer.recoverDeployableArtefact(580) W An error occurred during recovery of artefact 'file:/C:/Programme/Springsource/springsource-dm-server-2.0.0.M2/pickup/alfresco.war'
    [2009-05-26 08:54:54.515] fs-watcher               ernel.deployer.core.module.StandardModule.normaliseManifest(201) W OSGi R3 or earlier manifest detected:
    'Manifest-Version: 1.0
    Ant-Version: Apache Ant 1.6.5
    Created-By: 1.5.0_12-b04 (Sun Microsystems Inc.)
    
    '
    for module 'file [C:\Programme\Springsource\springsource-dm-server-2.0.0.M2\bin\..\work\com.springsource.kernel\Module\alfresco.war-0\alfresco.war]' - upgrading manifest to OSGi R4.
    [2009-05-26 08:55:08.062] fs-watcher                                                                 alfresco.war-0 I Trace configuration: {*=WARN, com.springsource.*=WARN}
    [2009-05-26 08:55:49.546] async-delivery-thread-1  e.[springsource.server.catalina].[localhost].[/alfresco].unknown E Exception sending context initialized event to listener instance of class org.springframework.web.context.ContextLoaderListener
    
    [...some more messages...]
    
    Caused by: org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'sessionFactory' defined in class path resource [alfresco/hibernate-context.xml]: Invocation of init method failed; nested exception is java.lang.RuntimeException: java.io.IOException: invalid manifest format
    Caused by: java.lang.RuntimeException: java.io.IOException: invalid manifest format
    	at com.springsource.kernel.osgi.framework.equinox.TransformedManifestProvidingBundleFileWrapper$TransformedManifestProvidingBundleFile.getEntry(TransformedManifestProvidingBundleFileWrapper.java:157)
    	at org.eclipse.osgi.baseadaptor.bundlefile.BundleFileWrapperChain.getEntry(BundleFileWrapperChain.java:44)
    	at org.eclipse.core.runtime.internal.adaptor.ClasspathManifest.getManifest(ClasspathManifest.java:49)
    	at org.eclipse.core.runtime.internal.adaptor.EclipseClassLoadingHook.processClass(EclipseClassLoadingHook.java:83)
    	at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:569)

  • #2
    This looks like a bug, especially as your WAR works on 1.0.x. Can you please open a JIRA, ideally attaching the WAR that reproduces the error, and we'll take a look.

    Thanks,
    Andy

    Comment

    Working...
    X